[package]
name = "historian"
version = "0.0.1"
authors = ["Adrian Kuschelyagi Malacoda <adrian.malacoda@monarch-pass.net>"]
edition = "2021"

[dependencies]
pulldown-cmark = "0.9.2"
tera = "1.17.1"
toml = "0.4.2"
grep = "0.2"
regex = "1.10.5"
pathdiff = "0.2.1"

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]

[dependencies.git2]
version = "0.19.0"
default-features = false

[dependencies.clap]
version = "4.0.29"
features = ["derive"]

[dependencies.rocket]
version = "0.5.0-rc.2"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]
